<template>
  <base-form :noLabel="false" :isInline="false" :data="searchData" ref="ruleForm">
  </base-form>
</template>
<script>
export default {
  props: {
    listLoading: Boolean
  },
  inject: ['parentData'],
  mixins,
  data () {
    return {
      searchData: [
        {label: '项目包', disabled: true, key: 'name', width: '200px'},
      ]
    }
  },
  mounted () {
    const query = this.parentData.$route.query || {}
    this.setDefaultValue(query, 'searchData')
  },
  methods: {
    searchHandle () {
      const oldform = this.$refs.ruleForm.baseForm
      let newForm = {...oldform}
      this.$emit('change', newForm)
    },
    add () {
      this.$emit('add')
    }
  }
}
</script>
